
local function on_init()
    local surface = game.surfaces['nauvis']
    local car = surface.create_entity{name = "car", position = {1, 1}, force = "player", create_build_effect_smoke = false}
    car.get_inventory(defines.inventory.fuel).insert({name = "wood", count = 16})
    rendering.draw_text{
    text = {"my_locale.car"},
    surface = surface,
    target = car,
    target_offset = {0, -2.5},
    color = {r=1,g=0,b=0},
    scale = 0.75,
    font = "default-game",
    alignment = "center",
    scale_with_zoom = false
    }
end

local function myevent(event)

    local surface = event.surface
    local car = surface.create_entity{name = "car", position = {event.position.x * 32 + 16, event.position.y * 32 + 16}, force = "player", create_build_effect_smoke = false}
    car.get_inventory(defines.inventory.fuel).insert({name = "wood", count = 16})
    rendering.draw_text{
    text = {"my_locale.car"},
    surface = surface,
    target = car,
    target_offset = {0, -2.5},
    color = {r=0,g=1,b=0},
    scale = 0.75,
    font = "default-game",
    alignment = "center",
    scale_with_zoom = false
  }
  
  local car2 = surface.create_entity{name = "car", position = {event.position.x * 32 + 8, event.position.y * 32 + 8}, force = "player", create_build_effect_smoke = false}
    car2.get_inventory(defines.inventory.fuel).insert({name = "wood", count = 16})
    rendering.draw_text{
    text = {"entity-name.car"},
    surface = surface,
    target = car2,
    target_offset = {0, -2.5},
    color = {r=0,g=1,b=0},
    scale = 0.75,
    font = "default-game",
    alignment = "center",
    scale_with_zoom = false
  }
end
script.on_init(on_init)
script.on_event(defines.events.on_chunk_generated, myevent)
